﻿<div class="container">
    <div class="row">
        <div class="col-sm-6">
            <select class="form-control mt_10 mb_10" ng-model="assignation.visiteur" ng-options="visiteur as (visiteur.Nom + ' ' + visiteur.Prenom) for visiteur in assignation.visiteurs | orderBy:'Nom'">
                <option selected value="">Sélectionner un visiteur</option>
            </select>

            <div class="panel panel-default" ng-show="assignation.visiteur">
                <div class="panel-heading">
                    Assignations du visiteur
                </div>
                <div class="panel-body">
                    <div class="table-responsive">
                        <table class="table table-hovered">
                            <thead>
                                <tr>
                                    <th>Secteur</th>
                                    <th>Région</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr ng-repeat="secteur in assignation.secteurs | filter: assignation.secteursAssignes">
                                    <td>{{ secteur.Nom }}</td>
                                    <td>{{ secteur.Region.Nom }}</td>
                                    <td><span class="glyphicon glyphicon-remove red cliquable" title="Supprimer l'assignation" ng-click="assignation.supprime(secteur.Id)"></span></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-sm-6">
            <div class="alert alert-info" ng-hide="assignation.visiteur">
                Sélectionnez un visiteur pour gérer ses assignations.
            </div>

            <div class="panel panel-info" ng-show="assignation.visiteur">
                <div class="panel-heading">
                    Nouvelle assignation
                </div>
                <div class="panel-body">
                    <form ng-submit="assignation.ajoute()" name="formAssignation">
                        <div class="form-group col-md-8">
                            <select class="form-control" ng-model="assignation.regionSecteur" ng-options="regionSecteur as (regionSecteur.Region.Nom + ' - ' + regionSecteur.Nom) for regionSecteur in assignation.secteurs | orderBy:'NomRegion' | filter:assignation.secteursPossibles">
                                <option selected value="">Sélectionner un couple secteur/région</option>
                            </select>
                        </div>
                        <div class="col-md-4">
                            <button type="submit" class="btn btn-primary">Assigner</button>
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </div>
</div>